#ifndef FMP_LOGGER_PLUGIN_P_H
#define FMP_LOGGER_PLUGIN_P_H

#include <ctkPluginActivator.h>

class FMPSynchronizer;

class FMPSyncPlugin : public QObject, public ctkPluginActivator
{
  Q_OBJECT
  Q_INTERFACES(ctkPluginActivator)
#if (QT_VERSION > QT_VERSION_CHECK(5,0,0))
  Q_PLUGIN_METADATA(IID "fmp_synchronizer")
#endif

public:
  explicit          FMPSyncPlugin();

  void              start(ctkPluginContext* context);
  void              stop(ctkPluginContext* context);

private:

  FMPSynchronizer*  _sync_service;

}; // FMPLoggerPlugin

#endif // FMP_LOGGER_PLUGIN_P_H
